Update an Environment
curl --request POST \
--url https://api.checkfu.com/v1/environments/{environment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-beta: <checkfu-beta>' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"config": {
"type": "cloud",
"networking": {
"type": "unrestricted"
},
"packages": {
"type": "packages",
"apt": [
"<string>"
],
"cargo": [
"<string>"
],
"gem": [
"<string>"
],
"go": [
"<string>"
],
"npm": [
"<string>"
],
"pip": [
"<string>"
]
}
},
"description": "<string>",
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://api.checkfu.com/v1/environments/{environment_id}"
payload = {
"config": {
"type": "cloud",
"networking": { "type": "unrestricted" },
"packages": {
"type": "packages",
"apt": ["<string>"],
"cargo": ["<string>"],
"gem": ["<string>"],
"go": ["<string>"],
"npm": ["<string>"],
"pip": ["<string>"]
}
},
"description": "<string>",
"metadata": {},
"name": "<string>"
}
headers = {
"checkfu-version": "<checkfu-version>",
"checkfu-beta": "<checkfu-beta>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
'checkfu-beta': '<checkfu-beta>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
type: 'cloud',
networking: {type: 'unrestricted'},
packages: {
type: 'packages',
apt: ['<string>'],
cargo: ['<string>'],
gem: ['<string>'],
go: ['<string>'],
npm: ['<string>'],
pip: ['<string>']
}
},
description: '<string>',
metadata: {},
name: '<string>'
})
};
fetch('https://api.checkfu.com/v1/environments/{environment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"archived_at": "<string>",
"config": {
"type": "cloud",
"networking": {
"type": "unrestricted"
},
"packages": {
"apt": [
"<string>"
],
"cargo": [
"<string>"
],
"gem": [
"<string>"
],
"go": [
"<string>"
],
"npm": [
"<string>"
],
"pip": [
"<string>"
],
"type": "packages"
}
},
"created_at": "<string>",
"description": "<string>",
"metadata": {},
"name": "<string>",
"type": "environment",
"updated_at": "<string>",
"scope": "organization"
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Update an Environment
Updates a mutable CMA-compatible Environment. Omitted nullable configuration fields preserve their current values; metadata values set to null remove those keys.
Checkfu support posture: alpha; hosted. Required evidence journey: sandbox-conformance. Deployment-specific readiness and the latest proven release are available from GET /v1/support/capabilities.
POST
/
v1
/
environments
/
{environment_id}
Update an Environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-27 Maximum string length:
255Path Parameters
Pattern:
^env_[0-9a-f]{32}$Body
application/json
Response
BetaEnvironment
Pattern:
^env_[0-9a-f]{32}$- Option 1
- Option 2
Show child attributes
Show child attributes
at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes
Available options:
environment Available options:
organization, account